#	$NetBSD: Makefile.mvme68k,v 1.60 2005/12/11 12:18:17 christos Exp $

# Makefile for NetBSD
#
# This makefile is constructed from a machine description:
#	config machineid
# Most changes should be made in the machine description
#	/sys/arch/mvme68k/conf/``machineid''
# after which you should do
#	config machineid
# Machine generic makefile changes should be made in
#	/sys/arch/mvme68k/conf/Makefile.mvme68k
# after which config should be rerun for all machines of that type.
#
# To specify debugging, add the config line: makeoptions DEBUG="-g"
# A better way is to specify -g only for a few files.
#
#	makeoptions DEBUGLIST="uvm* trap if_*"

MACHINE_ARCH=m68k
USETOOLS?=	no
NEED_OWN_INSTALL_TARGET?=no
.include <bsd.own.mk>

##
## (1) port identification
##
MVME68K=	$S/arch/mvme68k
GENASSYM_CONF=	${MVME68K}/mvme68k/genassym.cf

##
## (2) compile settings
##
CPPFLAGS+=	-Dmvme68k
.if empty(IDENT:M-DMVME172) && empty(IDENT:M-DMVME177)
.if empty(IDENT:M-DMVME147)
CMACHFLAGS=	-m68040
.else
CMACHFLAGS=	-m68030
.endif
.else
.if empty(IDENT:M-DMVME147) && empty(IDENT:M-DMVME162) && empty(IDENT:M-DMVME167)
CMACHFLAGS=	-m68060 -Wa,-m68030 -Wa,-m68851
.else
CMACHFLAGS=	-m68020-60 -Wa,-m68030 -Wa,-m68851
.endif
.endif
CFLAGS+=	${CMACHFLAGS} -msoft-float
AFLAGS+=	-x assembler-with-cpp -traditional-cpp

##
## (3) libkern and compat
##
KERN_AS=	obj

##
## (4) local objects, compile rules, and dependencies
##
# for the Motorola 68040 Floating Point Software Product
.include "$S/arch/m68k/fpsp/Makefile.inc"

# for the Motorola 68060 Software Support Package
.include "$S/arch/m68k/060sp/Makefile.inc"

MD_OBJS=	locore.o ${FPSP}
MD_CFILES=
MD_SFILES=	${MVME68K}/mvme68k/locore.s


locore.o: ${MVME68K}/mvme68k/locore.s assym.h
	${NORMAL_S}
##
## (5) link settings
##
LINKFORMAT=	-n
TEXTADDR?=	8000

##
## (6) port specific target dependencies
##

# depend on CPU configuration
locore.o pmap.o sys_machdep.o trap.o: Makefile

copy.o copypage.o lock_stubs.o: assym.h

##
## (7) misc settings
##

##
## (8) config(8) generated machinery
##
%INCLUDES

%OBJS

%CFILES

%SFILES

%LOAD

%RULES

##
## (9) port independent kernel machinery
##
.include "$S/conf/Makefile.kern.inc"

##
## (10) Appending make options.
##
%MAKEOPTIONSAPPEND
